appsero/updater

Appsero client updater module

v1.0.0 2023-12-06 08:32 UTC

This package is auto-updated.

Last update: 2024-06-06 09:43:14 UTC


README

Version 1.0.0

Depenct

At first you need to isntall Appseo Client

Installation

You can install AppSero Client Updater in two ways, via composer and manually.

1. Composer Installation

Add dependency in your project (theme/plugin):

composer require appsero/updater

Now add autoload.php in your file if you haven't done already.

require __DIR__ . '/vendor/autoload.php';

2. Manual Installation

Clone the repository in your project.

cd /path/to/your/project/folder
git clone https://github.com/AppSero/updater.git updater
Now include the dependencies in your plugin/theme.
if (! class_exists('Appsero\Updater')) {
  require __DIR__ . '/updater/src/Updater.php';
}

Usages

$client = new Appsero\Client( 'a4a8da5b-b419-4656-98e9-4a42e9044891', 'Akismet', __FILE__ );

// Active automatic updater
Appsero\Updater::init($client);